/* Добавляем переменные в блок светлой темы */
.g-root_theme_light {
    --telegram-icon: url('https://download.topomatic.ru/public/media/docviewer/telegram_logo.svg');
    --github-icon: url('https://download.topomatic.ru/public/media/docviewer/github_logo.svg');
    --youtube-icon: url('https://download.topomatic.ru/public/media/docviewer/youtube_logo.svg');
    --vk-icon: url('https://download.topomatic.ru/public/media/docviewer/vk_logo.svg');
    --rutube-icon: url('https://download.topomatic.ru/public/media/docviewer/rutube_logo.svg');
    --max-icon: url('https://download.topomatic.ru/public/media/docviewer/max_logo.svg');
}

/* Добавляем переменные в блок темной темы */
.g-root_theme_dark {
    --telegram-icon: url('https://download.topomatic.ru/public/media/docviewer/telegram_logo_dark.svg');
    --github-icon: url('https://download.topomatic.ru/public/media/docviewer/github_logo_dark.svg');
    --youtube-icon: url('https://download.topomatic.ru/public/media/docviewer/youtube_logo_dark.svg');
    --vk-icon: url('https://download.topomatic.ru/public/media/docviewer/vk_logo_dark.svg');
    --rutube-icon: url('https://download.topomatic.ru/public/media/docviewer/rutube_logo_dark.svg');
    --max-icon: url('https://download.topomatic.ru/public/media/docviewer/max_logo_dark.svg');
}

/* Центрируем родительские кнопки для корректного отображения без текста */
a[href*="https://t.me/topomatic_official"],
a[href*="https://github.com/topomatic-code"],
a[href*="https://www.youtube.com/@TopomaticRobur"],
a[href*="https://vkvideo.ru/@topomatic"],
a[href*="https://rutube.ru/channel/28233940/"],
a[href*="https://max.ru/id7805278001_biz"] {
    display: inline-flex !important;
    align-items: center !important;
    justify-content: center !important;
}

/* Общие стили для всех иконок соцсетей */
a[href*="https://t.me/topomatic_official"] img,
a[href*="https://github.com/topomatic-code"] img,
a[href*="https://www.youtube.com/@TopomaticRobur"] img,
a[href*="https://vkvideo.ru/@topomatic"] img,
a[href*="https://rutube.ru/channel/28233940/"] img,
a[href*="https://max.ru/id7805278001_biz"] img {
    display: block;
    box-sizing: border-box;
    width: 16px !important; /* Стандартный размер xs в Diplodoc */
    height: 16px !important;
    padding-left: 16px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    align-self: center;
    flex-shrink: 0;
}

/*Назначаем конкретную переменную каждой ссылке*/
a[href*="https://t.me/topomatic_official"]            img { background-image: var(--telegram-icon); }
a[href*="https://github.com/topomatic-code"]          img { background-image: var(--github-icon); }
a[href*="https://www.youtube.com/@TopomaticRobur"]    img { background-image: var(--youtube-icon); }
a[href*="https://vkvideo.ru/@topomatic"]              img { background-image: var(--vk-icon); }
a[href*="https://rutube.ru/channel/28233940/"]        img { background-image: var(--rutube-icon); }
a[href*="https://max.ru/id7805278001_biz"]            img { background-image: var(--max-icon); }



.footer-custom-block .pc-card-layout-block__image {
    border-top-left-radius: 32px !important;
    border-top-right-radius: 32px !important;
    border-bottom-right-radius: 0px !important;
    border-bottom-left-radius: 0px !important;
}

.pc-header-block__background, .pc-header-block__background.pc-header-block__background_media {
    width: 100% !important;
}

.pc-header-block__content {
    padding: 50px 0 !important;
}

@media (min-width: 769px) {
    .container-fluid {
        max-width: 1610px !important;
        margin: 0 auto !important;
        padding-right: 64px !important;
        padding-left: 64px !important;
    }
}

.pc-navigation {
    justify-content: space-between !important;
}

@media (min-width: 769px) {
    .g-root .pc-desktop-navigation__wrapper {
        padding: 0 !important;
    }
}

.pc-layout__content>.pc-Grid .container-fluid {
    max-width: 1610px !important;
    margin: 0 auto !important;
    padding-left: 0px !important;
    padding-right: 0px !important;
}

@media (min-width: 769px) {
    .pc-layout__content>.pc-Grid .container-fluid {
        padding-left: 64px !important;
        padding-right: 64px !important;
    }
}
